aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/objc
diff options
context:
space:
mode:
authorGravatar Sergio Campama <kaipi@google.com>2016-09-19 21:08:50 +0000
committerGravatar Laszlo Csomor <laszlocsomor@google.com>2016-09-20 06:46:41 +0000
commit01a9bd1579b0a6155ee9364b55f2a3b868f8d8bf (patch)
tree9bbc7e484ea52c6a374b1aee525c08e728830018 /tools/objc
parent6e7c3a46ae0fd84369664636407d406368318869 (diff)
Enable the generation of Objc protos in whichever host machine it is running.
-- MOS_MIGRATED_REVID=133629682
Diffstat (limited to 'tools/objc')
-rw-r--r--tools/objc/BUILD5
-rwxr-xr-xtools/objc/protobuf_compiler_wrapper.sh20
2 files changed, 25 insertions, 0 deletions
diff --git a/tools/objc/BUILD b/tools/objc/BUILD
index 679bf6b7eb..80905da0aa 100644
--- a/tools/objc/BUILD
+++ b/tools/objc/BUILD
@@ -140,6 +140,11 @@ objc_library(
)
filegroup(
+ name = "protobuf_compiler_wrapper",
+ srcs = ["protobuf_compiler_wrapper.sh"],
+)
+
+filegroup(
name = "protobuf_compiler",
srcs = ["protobuf_compiler.py"],
)
diff --git a/tools/objc/protobuf_compiler_wrapper.sh b/tools/objc/protobuf_compiler_wrapper.sh
new file mode 100755
index 0000000000..cf20603808
--- /dev/null
+++ b/tools/objc/protobuf_compiler_wrapper.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright 2015 The Bazel Authors. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+(
+ printf 'Bazel does not yet support objc protos.\n'
+) >&2
+
+exit 1